Create a new company
curl --request POST \
--url https://app.sajn.se/api/v1/companies \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'authorization: <authorization>' \
--data '
{
"name": "<string>",
"orgNumber": "<string>",
"country": "<string>"
}
'import requests
url = "https://app.sajn.se/api/v1/companies"
payload = {
"name": "<string>",
"orgNumber": "<string>",
"country": "<string>"
}
headers = {
"authorization": "<authorization>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
authorization: '<authorization>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({name: '<string>', orgNumber: '<string>', country: '<string>'})
};
fetch('https://app.sajn.se/api/v1/companies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"orgNumber": "<string>",
"country": "<string>"
}{
"message": "<string>",
"code": "<string>",
"errorId": "<string>"
}{
"message": "<string>",
"code": "<string>",
"errorId": "<string>"
}{
"message": "<string>",
"code": "<string>",
"errorId": "<string>"
}Companies
Create a new company
Create a new company in your organization.
Required Fields:
name- Company name
Optional Fields:
orgNumber- Organization number (must be unique if provided)country- Country name
Note: If a company with the same organization number exists, a 409 Conflict error is returned.
POST
/
api
/
v1
/
companies
Create a new company
Authorizations
oauth2bearerAuth
OAuth 2.0 access token for a connected application. Limited to the scopes granted at consent.
Headers
Bearer token for API authentication
Makes retries safe. A retry with the same key and the same request replays the stored response for 24 hours (header Idempotent-Replayed: true); the same key with a different request returns 400.
Maximum string length:
255Was this page helpful?

